For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETList all tags.
      • POSTCreate a new tag.
      • GETList all tags of a given type.
      • GETGet a tag by type and value.
      • DELDelete a tag.
      • GETGet all tag types
      • POSTCreate a tag type
      • POSTValidate a tag type
      • GETGet a tag type
      • PUTUpdate a tag type
      • DELDelete a tag type
      • PUTAdds a tag to the specified features

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APITags

Adds a tag to the specified features

||View as Markdown|
PUT
https://app.unleash-instance.example.com/api/admin/projects/:projectId/tags
PUT
/api/admin/projects/:projectId/tags
$curl -X PUT https://app.unleash-instance.example.com/api/admin/projects/projectId/tags \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "features": [
> "string"
> ],
> "tags": {
> "addedTags": [
> {
> "value": "tag-to-add",
> "type": "simple"
> }
> ],
> "removedTags": [
> {
> "value": "tag-to-remove",
> "type": "simple"
> }
> ]
> }
>}'
1{}
Add a tag to a list of features. Create tags if needed.
Was this page helpful?
Previous

Get telemetry settings

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Path parameters

projectIdstringRequired

Request

tagsBulkAddSchema
featureslist of stringsRequired
The list of features that will be affected by the tag changes.
tagsobjectRequired
The tag changes to be applied to the features.

Response

This response has no body.

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
415
Unsupported Media Type Error